=== debian/control ===
Source: ros-noetic-fuse-variables
Section: misc
Priority: optional
Maintainer: Stephen Williams <swilliams@locusrobotics.com>
Build-Depends: debhelper (>= 9.0.0), libceres-dev, ros-noetic-catkin, ros-noetic-fuse-core, ros-noetic-pluginlib, ros-noetic-roscpp, ros-noetic-roslint, ros-noetic-rostest
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-fuse-variables
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libceres-dev, ros-noetic-fuse-core, ros-noetic-pluginlib, ros-noetic-roscpp
Description: The fuse_variables package provides a set of commonly used variable types, such as 2D and 3D positions, orientations, velocities, and accelerations.
